(function ( $, Drupal, window, document, undefined ) {

  Drupal.behaviors.seasideAdminMain = {
    constants: {
      LAYOUT: {
        adaptive: false,
        fluid: false
      },

      MEDIA_QUERIES: {
        desktop: "all and (min-width: 1248px)",

        tablet: {
          both: "all and (min-width: 768px) and (max-width: 1247px)",
          portrait: "all and (min-width: 768px) and (max-width: 1001px)",
          landscape: "all and (min-width: 1002px) and (max-width: 1247px)"
        },

        mobile: {
          both: "all and (min-width: 0px) and (max-width: 767px)",
          portrait: "all and (min-width: 0px) and (max-width: 479px)",
          landscape: "all and (min-width: 480px) and (max-width: 767px)"
        }
      }
    },

    attach: function (context, settings) {
      // Apply Prettify.
      $('select:not(".no-prettify"):not(multiple), input[type="file"]:not(".no-prettify")').each(function () {
        new Drupal.prettify({el: this});
      });

    }
  };

  Drupal.behaviors.customCKEditorConfig = {
    attach: function (context, settings) {
      if (typeof CKEDITOR !== "undefined") {
        CKEDITOR.config.uiColor = "#edf1f5";
      }
    }
  };

  Drupal.behaviors.alerts = {
    attach: function (context, settings) {
      setTimeout(function() {
        $('.alert').fadeOut('slow');
      }, 20000);

      $('.alert').click(function() {
        $(this).fadeOut('slow');
      });
    }
  };

})(jQuery, Drupal, this, this.document);
